package net.knarcraft.knarlib.formatting;

import org.jetbrains.annotations.NotNull;

/**
 * A message which can be translated
 */
@SuppressWarnings("unused")
public interface TranslatableMessage {

    /**
     * Gets the name of this translatable message
     *
     * <p>This is automatically overridden by enums. This should not be overridden manually!</p>
     *
     * @return <p>The name of this translatable message</p>
     */
    @NotNull String name();

    /**
     * Gets all translatable messages
     *
     * <p>This should return Enum.values() for the class. This is basically a workaround to get all enum values.</p>
     *
     * @return <p>All translatable messages</p>
     */
    @NotNull TranslatableMessage[] getAllMessages();

}
